View Issue Details

IDProjectCategoryView StatusLast Update
0030691Open CASCADEOCCT:Data Exchangepublic2022-05-26 12:01
Reporterkgv Assigned Tobugmaster  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Target Version7.4.0Fixed in Version7.4.0 
Summary0030691: Data Exchange - implement import of mesh data from files in glTF format
DescriptionIt is desired providing a reader of mesh data from glTF format.

> Coordinate System and Units

> glTF uses a right-handed coordinate system, that is, the cross product of +X and +Y yields +Z. glTF defines +Y as up.
> The front of a glTF asset faces +Z.
> The units for all linear distances are meters.
> All angles are in radians.
> Positive rotation is counterclockwise.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberde_mesh/gltf_read

Attached Files

  • 2CylinderEngine.glb.7z (311,227 bytes)
  • Buggy.glb.7z (614,434 bytes)
  • OrientationTest.glb (38,920 bytes)
  • BrainStem.gltf.7z (909,024 bytes)
  • Lantern.glb (9,872,848 bytes)
  • DamagedHelmet.gltf.7z (3,376,656 bytes)
  • gltf_coordinate_system.png (98,823 bytes)

Relationships

related to 0029902 closedapn Open CASCADE Data Exchange, XCAF - provide extended Material definition for visualization purposes 
related to 0030953 closedbugmaster Open CASCADE Data Exchange - implement export of mesh data into glTF 2.0 format 
parent of 0030692 closedbugmaster Open CASCADE Data Exchange - introduce base framework RWMesh for importing mesh data formats into XDE document 
parent of 0030811 closedapn Open CASCADE Data Exchange, RWGltf_CafReader - fix inaccessibility of properties 
parent of 0030821 closedkgv Open CASCADE Data Exchange, RWGltf_CafReader - fallback to Mesh name in case of Node name is empty 
parent of 0030888 closedbugmaster Open CASCADE Data Exchange, RWGltf_CafReader - fix misprint in condition while iterating binary glTF 2.0 chunks 
parent of 0031100 newkgv Open CASCADE Data Exchange, RWGltf_CafReader - support reading information from EXT_lights_image_based 
parent of 0031291 closedbugmaster Open CASCADE Data Exchange - glTF with outline segments is displayed corrupted 
parent of 0031312 closedbugmaster Open CASCADE Data Exchange - RWGltf_CafReader fails reading texture embedded into base64 bufferView 
parent of 0031333 closedbugmaster Open CASCADE Data Exchange - RWGltf_TriangulationReader::readBuffer() fails to read interleaved buffer at the end of file 
parent of 0031332 closedbugmaster Open CASCADE Data Exchange - RWGltf_CafReader ignores bufferView.byteStride within glTF 2.0 
parent of 0031706 closedbugmaster Open CASCADE Data Exchange, RWGltf_CafReader - imports model with incorrect transformation 
parent of 0032064 closedbugmaster Open CASCADE Coding Rules - make RWGltf_GltfJsonParser non-private 
parent of 0032107 closedsmoskvin Open CASCADE Data Exchange, RWGltf_CafReader - reading glTF document back loses sharing 
parent of 0032525 closedbugmaster Open CASCADE Data Exchange, RWGltf_CafReader - support KHR_draco_mesh_compression 
parent of 0032540 closedsmoskvin Community RWGltf_CafReader - optional "scene" parameter encoded as mandatory 
parent of 0032612 closedsmoskvin Open CASCADE Data Exchange, RWGltf_CafReader - lost hierarchy of two nested compounds 
parent of 0032989 reviewedbugmaster Open CASCADE Data Exchange, RWGltf_CafReader - fill in metadata map from asset.extras 
related to 0030700 closedapn Open CASCADE Visualization, TKOpenGl - support PBR Metallic-Roughness shading model 
Not all the children of this issue are yet resolved or closed.

Activities

git

2019-05-05 20:15

administrator   ~0084160

Branch CR30691_1 has been created by kgv.

SHA-1: c11e0a80d2c09a5c09e89ed11ee7fbbb7fa541a2


Detailed log of new commits:

Author: kgv
Date: Sun May 5 20:08:39 2019 +0300

    0030691: Data Exchange - implement import of mesh data from files in glTF format
    
    Added RWGltf_CafReader class implementing glTF reader.
    Added readgltf Draw Harness command for reading glTF files.

git

2019-05-05 20:40

administrator   ~0084161

Branch CR30691_2 has been created by kgv.

SHA-1: 13f4865502820751210f4aae182f5461f3d1a751


Detailed log of new commits:

Author: kgv
Date: Sun May 5 20:08:39 2019 +0300

    0030691: Data Exchange - implement import of mesh data from files in glTF format
    
    Added RWGltf_CafReader class implementing glTF reader.
    Added readgltf Draw Harness command for reading glTF files.

Author: kgv
Date: Sun May 5 20:31:35 2019 +0300

    0029296: Data Exchange - implement import of mesh data from files in OBJ format
    
    RWObj_Reader and RWObj_CafReader - added new classes reading triangulation from OBJ file.

Author: kgv
Date: Fri May 3 17:50:28 2019 +0300

    0030692: Data Exchange - introduce base framework RWMesh for importing mesh data formats into XDE document
    
    RWMesh_CafReader - added new interface class for common workflow for reading mesh data files into XDE document.
    
    OSD_Path - added auxiliary methods splitting path into folder+file pair
    and checking relative/absolute path semantically:
    OSD_Path::FolderAndFileFromPath(), ::IsRelativePath(), ::IsAbsolutePath().

git

2019-05-05 21:10

administrator   ~0084166

Branch CR30691_2 has been updated forcibly by kgv.

SHA-1: 508678918894cb2396c3386c6567d72cc5f304e9

git

2019-05-05 22:01

administrator   ~0084168

Branch CR30691_2 has been updated forcibly by kgv.

SHA-1: deda206225b0c70af676f96ab5b3654919982ac6

git

2019-05-05 22:31

administrator   ~0084169

Branch CR30691_2 has been updated forcibly by kgv.

SHA-1: 7625eef0300f09333826490a7bf5eb62a2ed4e4e

git

2019-05-05 22:37

administrator   ~0084170

Branch CR30691_2 has been updated forcibly by kgv.

SHA-1: 31451963320b30b26c8de96bd1d32e0a8b2fda8b

kgv

2019-05-05 22:39

developer  

2CylinderEngine.glb.7z (311,227 bytes)

kgv

2019-05-05 22:39

developer  

Buggy.glb.7z (614,434 bytes)

kgv

2019-05-05 22:47

developer   ~0084171

Patch is ready for review.

For testing, USE_RAPIDJSON should be enabled in CMake scripts on Jenkins and attached sample files should be copied.

The samples are comping from public source:
https://github.com/KhronosGroup/glTF-Sample-Models

kgv

2019-05-05 22:51

developer  

OrientationTest.glb (38,920 bytes)

git

2019-05-05 22:51

administrator   ~0084172

Branch CR30691_2 has been updated forcibly by kgv.

SHA-1: 035ed60ce1ca655a4cc9374ce836322bff002d04

kgv

2019-05-05 22:56

developer  

BrainStem.gltf.7z (909,024 bytes)

kgv

2019-05-05 22:57

developer  

Lantern.glb (9,872,848 bytes)

kgv

2019-05-05 22:58

developer  

DamagedHelmet.gltf.7z (3,376,656 bytes)

git

2019-05-05 22:59

administrator   ~0084173

Branch CR30691_2 has been updated forcibly by kgv.

SHA-1: 3f930a16161dc5772be252eb22b08907aa015d37

git

2019-05-05 23:02

administrator   ~0084174

Branch CR30691_2 has been updated forcibly by kgv.

SHA-1: 569fe6585c32bc73c78b740635deda6d8df96775

git

2019-05-05 23:03

administrator   ~0084175

Branch CR30691_2 has been updated forcibly by kgv.

SHA-1: b4edd7f6958230e5b950e5e0b09176a07ec65639

git

2019-05-07 15:53

administrator   ~0084230

Branch CR30691_2 has been updated forcibly by kgv.

SHA-1: a97298abb73537cd36f21314158c76856d367f2d

git

2019-05-08 09:08

administrator   ~0084235

Branch CR30691_2 has been updated forcibly by kgv.

SHA-1: 9ba887821044c1b0515949ad47ff2f89463fd07b

git

2019-05-08 21:15

administrator   ~0084268

Branch CR30691_2 has been updated forcibly by kgv.

SHA-1: c6052df8c677b31e69adb4defe66b1bb5801b93a

git

2019-05-09 13:40

administrator   ~0084270

Branch CR30691_2 has been updated by kgv.

SHA-1: 72f573597f7d3764f57956d0b8016622a1ef7d81


Detailed log of new commits:

Author: kgv
Date: Thu May 9 13:33:33 2019 +0300

    # 0030692 Move RWMesh_DocumentExplorer -> XCAFPrs_DocumentExplorer

git

2019-05-09 15:52

administrator   ~0084271

Branch CR30691_2 has been updated by kgv.

SHA-1: bb544684d33b6f401848d37f30074dc5be090c96


Detailed log of new commits:

Author: kgv
Date: Thu May 9 13:41:06 2019 +0300

    # 0030692 - remarks for OSD_Path

kgv

2019-05-09 22:38

developer  

gltf_coordinate_system.png (98,823 bytes)

git

2019-05-10 17:09

administrator   ~0084282

Branch CR30691_3 has been created by kgv.

SHA-1: cdf8ad77f202240ad83aefa6085e1ebd17a573a9


Detailed log of new commits:

Author: kgv
Date: Fri May 10 17:01:55 2019 +0300

    # 0030691 - revise coordinate system conversion

Author: kgv
Date: Fri May 10 17:00:05 2019 +0300

    # 0029296 - revise coordinate system conversion

Author: kgv
Date: Fri May 10 16:47:14 2019 +0300

    # 0030692 - revise Coordinate System converter - use gp_Ax3

Author: kgv
Date: Fri May 10 11:33:29 2019 +0300

    # 0030692 - revise coordinate system convertor
    
    V3d_TypeOfOrientation enumeration has been extended with aliases
    (like front/left) for Z-up and Y-up conentions.
    V3d_View::SetProj() now accepts argument for asking Y-up instead of Z-up.
    
    Added command vviewproj defining standard camera direction.
    Commands vaxo, vleft, vright, vtop, vbottom, vfront, vbottom now redirect to vviewproj.

Author: kgv
Date: Fri May 10 09:24:20 2019 +0300

    # 0030691 - rename ReadGltf command

Author: kgv
Date: Fri May 10 09:23:51 2019 +0300

    # 0029296 - add readobj command

Author: kgv
Date: Fri May 10 09:23:02 2019 +0300

    # 0030692 - add SingleShape() method

Author: kgv
Date: Sun May 5 20:08:39 2019 +0300

    0030691: Data Exchange - implement import of mesh data from files in glTF format
    
    Added RWGltf_CafReader class implementing glTF reader.
    Added readgltf Draw Harness command for reading glTF files.

git

2019-05-10 17:11

administrator   ~0084283

Branch CR30691_4 has been created by kgv.

SHA-1: 3d211ac543b5a1d0dec54e3419f4c471baf6b078


Detailed log of new commits:

Author: kgv
Date: Sun May 5 20:08:39 2019 +0300

    0030691: Data Exchange - implement import of mesh data from files in glTF format
    
    Added RWGltf_CafReader class implementing glTF reader.
    Added readgltf Draw Harness command for reading glTF files.

Author: kgv
Date: Sun May 5 20:31:35 2019 +0300

    0029296: Data Exchange - implement import of mesh data from files in OBJ format
    
    RWObj_Reader and RWObj_CafReader - added new classes reading triangulation from OBJ file.

Author: kgv
Date: Fri May 3 17:50:28 2019 +0300

    0030692: Data Exchange - introduce base framework RWMesh for importing mesh data formats into XDE document
    
    RWMesh_CafReader - added new interface class for common workflow for reading mesh data files into XDE document.
    
    OSD_Path - added auxiliary methods splitting path into folder+file pair
    and checking relative/absolute path semantically:
    OSD_Path::FolderAndFileFromPath(), ::IsRelativePath(), ::IsAbsolutePath().
    
    V3d_TypeOfOrientation enumeration has been extended with aliases
    (like front/left) for Z-up and Y-up conentions.
    V3d_View::SetProj() now accepts argument for asking Y-up instead of Z-up.
    
    Added command vviewproj defining standard camera direction.
    Commands vaxo, vleft, vright, vtop, vbottom, vfront, vbottom now redirect to vviewproj.

git

2019-05-11 07:55

administrator   ~0084289

Branch CR30691_4 has been updated forcibly by kgv.

SHA-1: 8272972ee8b350709502769637d186fe5db75f69

git

2019-05-13 14:44

administrator   ~0084302

Branch CR30691_4 has been updated forcibly by kgv.

SHA-1: 229442a5791ef8276883f1e1596eda7983ea8a9d

git

2019-06-03 20:18

administrator   ~0084780

Branch CR30691_4 has been updated forcibly by kgv.

SHA-1: c1fb55589d3189fce7f9af95d3ea7657b9e2fd2d

git

2019-06-03 21:52

administrator   ~0084781

Branch CR30691_4 has been updated forcibly by kgv.

SHA-1: a543bba280b1d96eba002815951712e591c4c6e7

git

2019-06-04 12:24

administrator   ~0084811

Branch CR30691_4 has been updated forcibly by kgv.

SHA-1: dc1c7ab9913f48416ca0cc272329191a422e1dea

git

2019-06-04 22:16

administrator   ~0084829

Branch CR30691_4 has been updated forcibly by kgv.

SHA-1: dcd557679f89a71e368bb4f4d745ac4e8bab509e

osa

2019-06-18 18:07

developer   ~0085130

Reviewed without remarks

git

2019-06-18 19:42

administrator   ~0085132

Branch CR30691_4 has been updated forcibly by kgv.

SHA-1: d9953e351b6cf463685eaa3878c5690df29afe50

git

2019-06-18 19:47

administrator   ~0085134

Branch CR30691_4 has been updated forcibly by kgv.

SHA-1: e824b08022cd587eca7b711077420399d26afa79

git

2019-06-18 19:49

administrator   ~0085135

Branch CR30691_4 has been updated forcibly by kgv.

SHA-1: 4f9fe8c7e72cdcffd425fb6c52c490a53b5dea4c

bugmaster

2019-06-19 20:08

administrator   ~0085150

Combination -
OCCT branch : CR30691_4
master SHA - a543bba280b1d96eba002815951712e591c4c6e7
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : master SHA - c337118ac41004248abf27585e4c0e972f1a923e
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16322.850000000059 / 16313.930000000051 [+0.05%]
Products
Total CPU difference: 10496.410000000058 / 10490.14000000005 [+0.06%]
Windows-64-VC14:
OCCT
Total CPU difference: 17725.09375 / 17714.90625 [+0.06%]
Products
Total CPU difference: 12065.875 / 12054.984375 [+0.09%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2019-06-19 21:38

administrator   ~0085152

Branch CR30691_5 has been created by inv.

SHA-1: 6b8ed99832782ec8331154213a5c78ce63c2bc22


Detailed log of new commits:

Author: kgv
Date: Tue Jun 18 19:41:15 2019 +0300

    0030691: Data Exchange - implement import of mesh data from files in glTF format
    
    Added RWGltf_CafReader class implementing glTF reader.
    Added readgltf Draw Harness command for reading glTF files.

bugmaster

2019-06-20 09:41

administrator   ~0085157

I tried to compile CR30694_4 in the scope of WEEK-25 and got errors of compilation. I rebased it on WEEK-25 and pushed as CR30694_5. I launch it in jenkins and got errors of compilation.

http://jenkins-test-12.nnov.opencascade.com/view/CR30691_5-master-INV/view/OCCT%20compile/

git

2019-06-20 12:21

administrator   ~0085170

Branch CR30691_5 has been updated forcibly by kgv.

SHA-1: 1ef8bcc09c30db5c04c35645e5dc10aa7316a6cb

kgv

2019-06-20 12:27

developer   ~0085171

Compilation should be fixed now.

git

2019-06-20 15:13

administrator   ~0085180

Branch CR30691_5 has been updated by inv.

SHA-1: b608e6870460ecf42f71e8e89a4a9878cef47bb5


Detailed log of new commits:

Author: bugmaster
Date: Thu Jun 20 15:12:47 2019 +0300

    Update of test cases

git

2019-06-21 09:55

administrator   ~0085188

Branch CR30691_5 has been updated by kgv.

SHA-1: 0884cb622a0e6a30c8215368d9cf4e8ca4752f13


Detailed log of new commits:

Author: kgv
Date: Fri Jun 21 09:54:56 2019 +0300

    # workaround for vc9

git

2019-06-21 10:08

administrator   ~0085189

Branch CR30691_5 has been updated by kgv.

SHA-1: 0c505fce87e62f56e305c97fbad0bc620597cad3


Detailed log of new commits:

Author: kgv
Date: Fri Jun 21 10:07:26 2019 +0300

    # 0030691 workaround compilation issues on old GCC

git

2019-06-21 12:54

administrator   ~0085191

Branch CR30691_5 has been updated forcibly by kgv.

SHA-1: 492ddd550f0e1a3bf33a172fb9c799174f68a0a3

git

2019-06-21 17:40

administrator   ~0085207

Branch CR30691_5 has been updated by kgv.

SHA-1: 6d25f575d20c51c5608c37b490741400e079dc5c


Detailed log of new commits:

Author: kgv
Date: Fri Jun 21 17:39:50 2019 +0300

    # suppress vc9 32-bit compilation warnings

git

2019-06-22 16:22

administrator   ~0085214

Branch CR30691_5 has been deleted by inv.

SHA-1: 6d25f575d20c51c5608c37b490741400e079dc5c

git

2019-06-22 16:22

administrator   ~0085217

Branch CR30691_4 has been deleted by inv.

SHA-1: 4f9fe8c7e72cdcffd425fb6c52c490a53b5dea4c

git

2019-06-22 16:22

administrator   ~0085225

Branch CR30691_3 has been deleted by inv.

SHA-1: cdf8ad77f202240ad83aefa6085e1ebd17a573a9

git

2019-06-22 16:22

administrator   ~0085227

Branch CR30691_2 has been deleted by inv.

SHA-1: bb544684d33b6f401848d37f30074dc5be090c96

git

2019-06-22 16:23

administrator   ~0085228

Branch CR30691_1 has been deleted by inv.

SHA-1: c11e0a80d2c09a5c09e89ed11ee7fbbb7fa541a2

Related Changesets

occt: master 0a419c51

2019-06-18 16:41:15

kgv


Committer: bugmaster Details Diff
0030691: Data Exchange - implement import of mesh data from files in glTF format

Added RWGltf_CafReader class implementing glTF reader.
Added readgltf Draw Harness command for reading glTF files.
Affected Issues
0030691
add - adm/cmake/rapidjson.cmake Diff File
mod - adm/cmake/vardescr.cmake Diff File
mod - adm/genconf.tcl Diff File
mod - adm/genconfdeps.tcl Diff File
mod - adm/templates/env.bat Diff File
mod - adm/UDLIST Diff File
mod - CMakeLists.txt Diff File
mod - dox/overview/overview.md Diff File
mod - src/Draw/Draw_BasicCommands.cxx Diff File
add - src/RWGltf/FILES Diff File
add - src/RWGltf/RWGltf_CafReader.cxx Diff File
add - src/RWGltf/RWGltf_CafReader.hxx Diff File
add - src/RWGltf/RWGltf_GltfAccessor.hxx Diff File
add - src/RWGltf/RWGltf_GltfAccessorCompType.hxx Diff File
add - src/RWGltf/RWGltf_GltfAccessorLayout.hxx Diff File
add - src/RWGltf/RWGltf_GltfArrayType.hxx Diff File
add - src/RWGltf/RWGltf_GltfBufferView.hxx Diff File
add - src/RWGltf/RWGltf_GltfBufferViewTarget.hxx Diff File
add - src/RWGltf/RWGltf_GltfFace.hxx Diff File
add - src/RWGltf/RWGltf_GltfJsonParser.cxx Diff File
add - src/RWGltf/RWGltf_GltfJsonParser.pxx Diff File
add - src/RWGltf/RWGltf_GltfLatePrimitiveArray.cxx Diff File
add - src/RWGltf/RWGltf_GltfLatePrimitiveArray.hxx Diff File
add - src/RWGltf/RWGltf_GltfPrimArrayData.hxx Diff File
add - src/RWGltf/RWGltf_GltfPrimitiveMode.hxx Diff File
add - src/RWGltf/RWGltf_GltfRootElement.hxx Diff File
add - src/RWGltf/RWGltf_MaterialCommon.hxx Diff File
add - src/RWGltf/RWGltf_MaterialMetallicRoughness.hxx Diff File
add - src/RWGltf/RWGltf_PrimitiveArrayReader.cxx Diff File
add - src/RWGltf/RWGltf_PrimitiveArrayReader.hxx Diff File
add - src/RWGltf/RWGltf_TriangulationReader.cxx Diff File
add - src/RWGltf/RWGltf_TriangulationReader.hxx Diff File
mod - src/Standard/Standard_TypeDef.hxx Diff File
mod - src/TKRWMesh/EXTERNLIB Diff File
mod - src/TKRWMesh/PACKAGES Diff File
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff File
add - tests/de_mesh/gltf_read/begin Diff File
add - tests/de_mesh/gltf_read/brainstem Diff File
add - tests/de_mesh/gltf_read/buggy Diff File
add - tests/de_mesh/gltf_read/end Diff File
add - tests/de_mesh/gltf_read/engine Diff File
add - tests/de_mesh/gltf_read/helmet Diff File
add - tests/de_mesh/gltf_read/lantern Diff File
add - tests/de_mesh/gltf_read/orient Diff File
mod - tests/de_mesh/grids.list Diff File
add - tests/de_mesh/parse.rules Diff File

Issue History

Date Modified Username Field Change
2019-05-05 01:31 kgv New Issue
2019-05-05 01:31 kgv Assigned To => kgv
2019-05-05 13:15 kgv Relationship added related to 0029902
2019-05-05 20:15 git Note Added: 0084160
2019-05-05 20:29 kgv Relationship added parent of 0030692
2019-05-05 20:40 git Note Added: 0084161
2019-05-05 21:10 git Note Added: 0084166
2019-05-05 22:01 git Note Added: 0084168
2019-05-05 22:31 git Note Added: 0084169
2019-05-05 22:37 git Note Added: 0084170
2019-05-05 22:39 kgv File Added: 2CylinderEngine.glb.7z
2019-05-05 22:39 kgv File Added: BrainStem.gltf.7z
2019-05-05 22:39 kgv File Added: Buggy.glb.7z
2019-05-05 22:39 kgv File Added: DamagedHelmet.gltf.7z
2019-05-05 22:39 kgv File Added: Lantern.glb.7z
2019-05-05 22:47 kgv Note Added: 0084171
2019-05-05 22:47 kgv Assigned To kgv => abv
2019-05-05 22:47 kgv Status new => resolved
2019-05-05 22:51 kgv File Added: OrientationTest.glb
2019-05-05 22:51 git Note Added: 0084172
2019-05-05 22:56 kgv File Deleted: BrainStem.gltf.7z
2019-05-05 22:56 kgv File Added: BrainStem.gltf.7z
2019-05-05 22:56 kgv File Deleted: Lantern.glb.7z
2019-05-05 22:57 kgv File Added: Lantern.glb
2019-05-05 22:57 kgv File Deleted: DamagedHelmet.gltf.7z
2019-05-05 22:58 kgv File Added: DamagedHelmet.gltf.7z
2019-05-05 22:59 git Note Added: 0084173
2019-05-05 23:02 git Note Added: 0084174
2019-05-05 23:03 git Note Added: 0084175
2019-05-07 14:23 kgv Relationship added related to 0030700
2019-05-07 15:53 git Note Added: 0084230
2019-05-08 09:08 git Note Added: 0084235
2019-05-08 21:15 git Note Added: 0084268
2019-05-09 13:40 git Note Added: 0084270
2019-05-09 15:52 git Note Added: 0084271
2019-05-09 22:37 kgv Description Updated
2019-05-09 22:38 kgv Description Updated
2019-05-09 22:38 kgv File Added: gltf_coordinate_system.png
2019-05-10 17:09 git Note Added: 0084282
2019-05-10 17:11 git Note Added: 0084283
2019-05-11 07:55 git Note Added: 0084289
2019-05-13 14:44 git Note Added: 0084302
2019-05-28 08:40 kgv Assigned To abv => msv
2019-06-03 20:18 git Note Added: 0084780
2019-06-03 21:52 git Note Added: 0084781
2019-06-04 12:24 git Note Added: 0084811
2019-06-04 22:16 git Note Added: 0084829
2019-06-18 17:50 kgv Assigned To msv => osa
2019-06-18 18:07 osa Note Added: 0085130
2019-06-18 18:07 osa Assigned To osa => bugmaster
2019-06-18 18:07 osa Status resolved => reviewed
2019-06-18 19:42 git Note Added: 0085132
2019-06-18 19:47 git Note Added: 0085134
2019-06-18 19:49 git Note Added: 0085135
2019-06-19 20:06 bugmaster Test case number => de_mesh/gltf_read
2019-06-19 20:08 bugmaster Note Added: 0085150
2019-06-19 21:38 git Note Added: 0085152
2019-06-20 09:41 bugmaster Note Added: 0085157
2019-06-20 09:41 bugmaster Assigned To bugmaster => kgv
2019-06-20 09:41 bugmaster Status reviewed => assigned
2019-06-20 12:21 git Note Added: 0085170
2019-06-20 12:27 kgv Note Added: 0085171
2019-06-20 12:27 kgv Assigned To kgv => bugmaster
2019-06-20 12:27 kgv Status assigned => resolved
2019-06-20 12:27 kgv Status resolved => reviewed
2019-06-20 15:13 git Note Added: 0085180
2019-06-20 18:16 bugmaster Status reviewed => tested
2019-06-21 09:55 git Note Added: 0085188
2019-06-21 10:08 git Note Added: 0085189
2019-06-21 12:54 git Note Added: 0085191
2019-06-21 17:40 git Note Added: 0085207
2019-06-22 16:18 bugmaster Changeset attached => occt master 0a419c51
2019-06-22 16:18 bugmaster Status tested => verified
2019-06-22 16:18 bugmaster Resolution open => fixed
2019-06-22 16:22 git Note Added: 0085214
2019-06-22 16:22 git Note Added: 0085217
2019-06-22 16:22 git Note Added: 0085225
2019-06-22 16:22 git Note Added: 0085227
2019-06-22 16:23 git Note Added: 0085228
2019-06-26 11:53 kgv Relationship added parent of 0030811
2019-07-01 12:43 kgv Relationship added parent of 0030821
2019-08-10 09:08 kgv Relationship added parent of 0030888
2019-09-06 12:22 kgv Relationship added related to 0030953
2019-10-23 12:49 kgv Relationship added related to 0031100
2019-10-23 12:49 kgv Relationship replaced parent of 0031100
2020-01-09 18:18 kgv Relationship added parent of 0031291
2020-01-22 23:08 kgv Relationship added parent of 0031312
2020-01-29 21:21 kgv Relationship added parent of 0031333
2020-01-29 21:21 kgv Relationship added parent of 0031332
2020-02-12 16:08 kgv Relationship added parent of 0031369
2020-08-11 11:32 kgv Relationship added parent of 0031706
2020-08-28 16:28 kgv Relationship deleted parent of 0031369
2021-01-19 13:23 kgv Relationship added parent of 0032064
2021-02-02 10:54 kgv Relationship added parent of 0032107
2021-08-11 08:03 kgv Relationship added parent of 0032525
2021-08-18 18:12 kgv Relationship added parent of 0032540
2021-10-18 14:04 kgv Relationship added parent of 0032612
2022-05-26 12:01 kgv Relationship added parent of 0032989